gstreamermm: Gst::MultiFdSink Class Reference

gstreamermm 0.10.11

- Main Page
- Modules
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Static Public Member Functions | Protected Member Functions | Related Functions
Gst::MultiFdSink Class Reference
gstreamermm Plugins

A Wrapper for the multifdsink plugin. More...

Inheritance diagram for Gst::MultiFdSink:
[legend]
Collaboration diagram for Gst::MultiFdSink:
[legend]

List of all members.

## Public Member Functions
virtual | ~MultiFdSink ()
GstMultiFdSink* | gobj ()
| Provides access to the underlying C GObject.
const GstMultiFdSink* | gobj () const
| Provides access to the underlying C GObject.
GstMultiFdSink* | gobj_copy ()
| Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs.
void | add (int arg0)
| This is a convenience method for the action signal signal_add().
void | add_full (int arg0, Gst::SyncMethod arg1, Gst::TCPUnitType arg2, guint64 arg3, Gst::TCPUnitType arg4, guint64 arg5)
| This is a convenience method for the action signal signal_add_full().
void | remove (int arg0)
| This is a convenience method for the action signal signal_remove().
void | remove_flush (int arg0)
| This is a convenience method for the action signal signal_remove_flush().
void | clear ()
| This is a convenience method for the action signal signal_clear().
Glib::ValueArray | get_stats (int arg0)
| This is a convenience method for the action signal signal_get_stats().
Glib::PropertyProxy < Gst::TCPProtocol > | property_protocol ()
| The protocol to wrap data in.
Glib::PropertyProxy_ReadOnly < Gst::TCPProtocol > | property_protocol () const
| The protocol to wrap data in.
Glib::PropertyProxy < Gst::FDSetMode > | property_mode ()
| The mode for selecting activity on the fds (deprecated).
Glib::PropertyProxy_ReadOnly < Gst::FDSetMode > | property_mode () const
| The mode for selecting activity on the fds (deprecated).
Glib::PropertyProxy_ReadOnly < guint > | property_buffers_queued () const
| Number of buffers currently queued.
Glib::PropertyProxy < Gst::TCPUnitType > | property_unit_type ()
| The unit to measure the max/soft-max/queued properties.
Glib::PropertyProxy_ReadOnly < Gst::TCPUnitType > | property_unit_type () const
| The unit to measure the max/soft-max/queued properties.
Glib::PropertyProxy< gint64 > | property_units_max ()
| max number of units to queue (-1 = no limit).
Glib::PropertyProxy_ReadOnly < gint64 > | property_units_max () const
| max number of units to queue (-1 = no limit).
Glib::PropertyProxy< gint64 > | property_units_soft_max ()
| Recover client when going over this limit (-1 = no limit).
Glib::PropertyProxy_ReadOnly < gint64 > | property_units_soft_max () const
| Recover client when going over this limit (-1 = no limit).
Glib::PropertyProxy< int > | property_buffers_max ()
| max number of buffers to queue for a client (-1 = no limit).
Glib::PropertyProxy_ReadOnly< int > | property_buffers_max () const
| max number of buffers to queue for a client (-1 = no limit).
Glib::PropertyProxy< int > | property_buffers_soft_max ()
| Recover client when going over this limit (-1 = no limit).
Glib::PropertyProxy_ReadOnly< int > | property_buffers_soft_max () const
| Recover client when going over this limit (-1 = no limit).
Glib::PropertyProxy< gint64 > | property_time_min ()
| min number of time to queue (-1 = as little as possible).
Glib::PropertyProxy_ReadOnly < gint64 > | property_time_min () const
| min number of time to queue (-1 = as little as possible).
Glib::PropertyProxy< int > | property_bytes_min ()
| min number of bytes to queue (-1 = as little as possible).
Glib::PropertyProxy_ReadOnly< int > | property_bytes_min () const
| min number of bytes to queue (-1 = as little as possible).
Glib::PropertyProxy< int > | property_buffers_min ()
| min number of buffers to queue (-1 = as few as possible).
Glib::PropertyProxy_ReadOnly< int > | property_buffers_min () const
| min number of buffers to queue (-1 = as few as possible).
Glib::PropertyProxy < Gst::RecoverPolicy > | property_recover_policy ()
| How to recover when client reaches the soft max.
Glib::PropertyProxy_ReadOnly < Gst::RecoverPolicy > | property_recover_policy () const
| How to recover when client reaches the soft max.
Glib::PropertyProxy< guint64 > | property_timeout ()
| Maximum inactivity timeout in nanoseconds for a client (0 = no limit).
Glib::PropertyProxy_ReadOnly < guint64 > | property_timeout () const
| Maximum inactivity timeout in nanoseconds for a client (0 = no limit).
Glib::PropertyProxy < Gst::SyncMethod > | property_sync_method ()
| How to sync new clients to the stream.
Glib::PropertyProxy_ReadOnly < Gst::SyncMethod > | property_sync_method () const
| How to sync new clients to the stream.
Glib::PropertyProxy_ReadOnly < guint64 > | property_bytes_to_serve () const
| Number of bytes received to serve to clients.
Glib::PropertyProxy_ReadOnly < guint64 > | property_bytes_served () const
| Total number of bytes send to all clients.
Glib::PropertyProxy < Gst::TCPUnitType > | property_burst_unit ()
| The format of the burst units (when sync-method is burst[[-with]-keyframe]).
Glib::PropertyProxy_ReadOnly < Gst::TCPUnitType > | property_burst_unit () const
| The format of the burst units (when sync-method is burst[[-with]-keyframe]).
Glib::PropertyProxy< guint64 > | property_burst_value ()
| The amount of burst expressed in burst-unit.
Glib::PropertyProxy_ReadOnly < guint64 > | property_burst_value () const
| The amount of burst expressed in burst-unit.
Glib::PropertyProxy< int > | property_qos_dscp ()
| Quality of Service, differentiated services code point (-1 default).
Glib::PropertyProxy_ReadOnly< int > | property_qos_dscp () const
| Quality of Service, differentiated services code point (-1 default).
Glib::PropertyProxy< bool > | property_handle_read ()
| Handle client reads and discard the data.
Glib::PropertyProxy_ReadOnly < bool > | property_handle_read () const
| Handle client reads and discard the data.
Glib::PropertyProxy< bool > | property_resend_streamheader ()
| Resend the streamheader if it changes in the caps.
Glib::PropertyProxy_ReadOnly < bool > | property_resend_streamheader () const
| Resend the streamheader if it changes in the caps.
Glib::PropertyProxy_ReadOnly < guint > | property_num_fds () const
| The current number of client file descriptors.
Glib::SignalProxy1< void, int > | signal_add ()
| This is an action signal which is designed to be used as a method.
Glib::SignalProxy6< void, int, Gst::SyncMethod, Gst::TCPUnitType, guint64, Gst::TCPUnitType, guint64 > | signal_add_full ()
| This is an action signal which is designed to be used as a method.
Glib::SignalProxy1< void, int > | signal_remove ()
| This is an action signal which is designed to be used as a method.
Glib::SignalProxy1< void, int > | signal_remove_flush ()
| This is an action signal which is designed to be used as a method.
Glib::SignalProxy0< void > | signal_clear ()
| This is an action signal which is designed to be used as a method.
Glib::SignalProxy1 < Glib::ValueArray, int > | signal_get_stats ()
| This is an action signal which is designed to be used as a method.
Glib::SignalProxy1< void, int > | signal_client_added ()
Glib::SignalProxy2< void, int, Gst::ClientStatus > | signal_client_removed ()
Glib::SignalProxy1< void, int > | signal_client_fd_removed ()
## Static Public Member Functions
static GType | get_type ()
| Get the GType for this class, for use with the underlying GObject type system.
static Glib::RefPtr< MultiFdSink > | create ()
| Creates a new multifdsink plugin with a unique name.
static Glib::RefPtr< MultiFdSink > | create (const Glib::ustring& name)
| Creates a new multifdsink plugin with the given name.
## Protected Member Functions
| MultiFdSink ()
| MultiFdSink (const Glib::ustring& name)
## Related Functions
(Note that these are not member functions.)
Glib::RefPtr< Gst::MultiFdSink > | wrap (GstMultiFdSink* object, bool take_copy=false)
| A Glib::wrap() method for this object.

## Detailed Description

A Wrapper for the multifdsink plugin.

Please note that not all plug-ins are available on all systems so care must be taken that they exist before they are used otherwise there will be errors and possibly a crash.

## Constructor & Destructor Documentation

virtual Gst::MultiFdSink::~MultiFdSink | ( |  | ) | `[virtual]`

Gst::MultiFdSink::MultiFdSink | ( |  | ) | `[protected]`

Gst::MultiFdSink::MultiFdSink | ( | const Glib::ustring & | name | ) | `[explicit, protected]`

## Member Function Documentation

void Gst::MultiFdSink::add | ( | int | arg0 | ) |

This is a convenience method for the action signal signal_add().

void Gst::MultiFdSink::add_full | ( | int | arg0,
|  | Gst::SyncMethod | arg1,
|  | Gst::TCPUnitType | arg2,
|  | guint64 | arg3,
|  | Gst::TCPUnitType | arg4,
|  | guint64 | arg5
| ) |  |

This is a convenience method for the action signal signal_add_full().

void Gst::MultiFdSink::clear | ( |  | ) |

This is a convenience method for the action signal signal_clear().

static Glib::RefPtr<MultiFdSink> Gst::MultiFdSink::create | ( |  | ) | `[static]`

Creates a new multifdsink plugin with a unique name.

Reimplemented in Gst::TcpServerSink.

static Glib::RefPtr<MultiFdSink> Gst::MultiFdSink::create | ( | const Glib::ustring & | name | ) | `[static]`

Creates a new multifdsink plugin with the given name.

Reimplemented in Gst::TcpServerSink.

Glib::ValueArray Gst::MultiFdSink::get_stats | ( | int | arg0 | ) |

This is a convenience method for the action signal signal_get_stats().

static GType Gst::MultiFdSink::get_type | ( |  | ) | `[static]`

Get the GType for this class, for use with the underlying GObject type system.

Reimplemented from Gst::BaseSink.

Reimplemented in Gst::TcpServerSink.

GstMultiFdSink* Gst::MultiFdSink::gobj | ( |  | ) | `[inline]`

Provides access to the underlying C GObject.

Reimplemented from Gst::BaseSink.

Reimplemented in Gst::TcpServerSink.

const GstMultiFdSink* Gst::MultiFdSink::gobj | ( |  | ) | const`[inline]`

Provides access to the underlying C GObject.

Reimplemented from Gst::BaseSink.

Reimplemented in Gst::TcpServerSink.

GstMultiFdSink* Gst::MultiFdSink::gobj_copy | ( |  | ) |

Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs.

Reimplemented from Gst::BaseSink.

Reimplemented in Gst::TcpServerSink.

Glib::PropertyProxy< int > Gst::MultiFdSink::property_buffers_max | ( |  | ) |

max number of buffers to queue for a client (-1 = no limit).

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly< int > Gst::MultiFdSink::property_buffers_max | ( |  | ) | const

max number of buffers to queue for a client (-1 = no limit).

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy< int > Gst::MultiFdSink::property_buffers_min | ( |  | ) |

min number of buffers to queue (-1 = as few as possible).

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly< int > Gst::MultiFdSink::property_buffers_min | ( |  | ) | const

min number of buffers to queue (-1 = as few as possible).

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly< guint > Gst::MultiFdSink::property_buffers_queued | ( |  | ) | const

Number of buffers currently queued.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy< int > Gst::MultiFdSink::property_buffers_soft_max | ( |  | ) |

Recover client when going over this limit (-1 = no limit).

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly< int > Gst::MultiFdSink::property_buffers_soft_max | ( |  | ) | const

Recover client when going over this limit (-1 = no limit).

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy< Gst::TCPUnitType > Gst::MultiFdSink::property_burst_unit | ( |  | ) |

The format of the burst units (when sync-method is burst[[-with]-keyframe]).

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly< Gst::TCPUnitType > Gst::MultiFdSink::property_burst_unit | ( |  | ) | const

The format of the burst units (when sync-method is burst[[-with]-keyframe]).

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy< guint64 > Gst::MultiFdSink::property_burst_value | ( |  | ) |

The amount of burst expressed in burst-unit.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly< guint64 > Gst::MultiFdSink::property_burst_value | ( |  | ) | const

The amount of burst expressed in burst-unit.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy< int > Gst::MultiFdSink::property_bytes_min | ( |  | ) |

min number of bytes to queue (-1 = as little as possible).

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly< int > Gst::MultiFdSink::property_bytes_min | ( |  | ) | const

min number of bytes to queue (-1 = as little as possible).

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly< guint64 > Gst::MultiFdSink::property_bytes_served | ( |  | ) | const

Total number of bytes send to all clients.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly< guint64 > Gst::MultiFdSink::property_bytes_to_serve | ( |  | ) | const

Number of bytes received to serve to clients.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy< bool > Gst::MultiFdSink::property_handle_read | ( |  | ) |

Handle client reads and discard the data.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly< bool > Gst::MultiFdSink::property_handle_read | ( |  | ) | const

Handle client reads and discard the data.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy< Gst::FDSetMode > Gst::MultiFdSink::property_mode | ( |  | ) |

The mode for selecting activity on the fds (deprecated).

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly< Gst::FDSetMode > Gst::MultiFdSink::property_mode | ( |  | ) | const

The mode for selecting activity on the fds (deprecated).

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly< guint > Gst::MultiFdSink::property_num_fds | ( |  | ) | const

The current number of client file descriptors.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy< Gst::TCPProtocol > Gst::MultiFdSink::property_protocol | ( |  | ) |

The protocol to wrap data in.

GDP protocol here is deprecated. Please use gdppay element.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly< Gst::TCPProtocol > Gst::MultiFdSink::property_protocol | ( |  | ) | const

The protocol to wrap data in.

GDP protocol here is deprecated. Please use gdppay element.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy< int > Gst::MultiFdSink::property_qos_dscp | ( |  | ) |

Quality of Service, differentiated services code point (-1 default).

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly< int > Gst::MultiFdSink::property_qos_dscp | ( |  | ) | const

Quality of Service, differentiated services code point (-1 default).

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy< Gst::RecoverPolicy > Gst::MultiFdSink::property_recover_policy | ( |  | ) |

How to recover when client reaches the soft max.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly< Gst::RecoverPolicy > Gst::MultiFdSink::property_recover_policy | ( |  | ) | const

How to recover when client reaches the soft max.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy< bool > Gst::MultiFdSink::property_resend_streamheader | ( |  | ) |

Resend the streamheader if it changes in the caps.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly< bool > Gst::MultiFdSink::property_resend_streamheader | ( |  | ) | const

Resend the streamheader if it changes in the caps.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy< Gst::SyncMethod > Gst::MultiFdSink::property_sync_method | ( |  | ) |

How to sync new clients to the stream.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly< Gst::SyncMethod > Gst::MultiFdSink::property_sync_method | ( |  | ) | const

How to sync new clients to the stream.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy< gint64 > Gst::MultiFdSink::property_time_min | ( |  | ) |

min number of time to queue (-1 = as little as possible).

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly< gint64 > Gst::MultiFdSink::property_time_min | ( |  | ) | const

min number of time to queue (-1 = as little as possible).

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy< guint64 > Gst::MultiFdSink::property_timeout | ( |  | ) |

Maximum inactivity timeout in nanoseconds for a client (0 = no limit).

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly< guint64 > Gst::MultiFdSink::property_timeout | ( |  | ) | const

Maximum inactivity timeout in nanoseconds for a client (0 = no limit).

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy< Gst::TCPUnitType > Gst::MultiFdSink::property_unit_type | ( |  | ) |

The unit to measure the max/soft-max/queued properties.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly< Gst::TCPUnitType > Gst::MultiFdSink::property_unit_type | ( |  | ) | const

The unit to measure the max/soft-max/queued properties.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy< gint64 > Gst::MultiFdSink::property_units_max | ( |  | ) |

max number of units to queue (-1 = no limit).

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly< gint64 > Gst::MultiFdSink::property_units_max | ( |  | ) | const

max number of units to queue (-1 = no limit).

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy< gint64 > Gst::MultiFdSink::property_units_soft_max | ( |  | ) |

Recover client when going over this limit (-1 = no limit).

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly< gint64 > Gst::MultiFdSink::property_units_soft_max | ( |  | ) | const

Recover client when going over this limit (-1 = no limit).

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

void Gst::MultiFdSink::remove | ( | int | arg0 | ) |

This is a convenience method for the action signal signal_remove().

void Gst::MultiFdSink::remove_flush | ( | int | arg0 | ) |

This is a convenience method for the action signal signal_remove_flush().

Glib::SignalProxy1< void,int > Gst::MultiFdSink::signal_add | ( |  | ) |

This is an action signal which is designed to be used as a method.

To do that, use its convenience method, add().

Slot Prototype:
  `void on_my_add(int arg0)`

Glib::SignalProxy6< void,int,Gst::SyncMethod,Gst::TCPUnitType,guint64,Gst::TCPUnitType,guint64 > Gst::MultiFdSink::signal_add_full | ( |  | ) |

This is an action signal which is designed to be used as a method.

To do that, use its convenience method, add_full().

Slot Prototype:
  `void on_my_add_full(int arg0, Gst::SyncMethod arg1, Gst::TCPUnitType arg2, guint64 arg3, Gst::TCPUnitType arg4, guint64 arg5)`

Glib::SignalProxy0< void > Gst::MultiFdSink::signal_clear | ( |  | ) |

This is an action signal which is designed to be used as a method.

To do that, use its convenience method, clear().

Slot Prototype:
  `void on_my_clear()`

Glib::SignalProxy1< void,int > Gst::MultiFdSink::signal_client_added | ( |  | ) |

Slot Prototype:
  `void on_my_client_added(int arg0)`

Glib::SignalProxy1< void,int > Gst::MultiFdSink::signal_client_fd_removed | ( |  | ) |

Slot Prototype:
  `void on_my_client_fd_removed(int arg0)`

Glib::SignalProxy2< void,int,Gst::ClientStatus > Gst::MultiFdSink::signal_client_removed | ( |  | ) |

Slot Prototype:
  `void on_my_client_removed(int arg0, Gst::ClientStatus arg1)`

Glib::SignalProxy1< Glib::ValueArray,int > Gst::MultiFdSink::signal_get_stats | ( |  | ) |

This is an action signal which is designed to be used as a method.

To do that, use its convenience method, get_stats().

Slot Prototype:
  `Glib::ValueArray on_my_get_stats(int arg0)`

Glib::SignalProxy1< void,int > Gst::MultiFdSink::signal_remove | ( |  | ) |

This is an action signal which is designed to be used as a method.

To do that, use its convenience method, remove().

Slot Prototype:
  `void on_my_remove(int arg0)`

Glib::SignalProxy1< void,int > Gst::MultiFdSink::signal_remove_flush | ( |  | ) |

This is an action signal which is designed to be used as a method.

To do that, use its convenience method, remove_flush().

Slot Prototype:
  `void on_my_remove_flush(int arg0)`

## Friends And Related Function Documentation

Glib::RefPtr< Gst::MultiFdSink > wrap | ( | GstMultiFdSink * | object,
|  | bool | take_copy = `false`
| ) |  | `[related]`

A Glib::wrap() method for this object.

Parameters:

  object | The C instance.
  take_copy | False if the result should take ownership of the C instance. True if it should take a new copy or ref.

Returns:
  A C++ instance that wraps this C instance.

The documentation for this class was generated from the following file:

- gstreamermm/multifdsink.h